# $Revision: 1.47 $, $Date: 2011/02/28 21:08:40 $
#
# Conditional build:
%bcond_without	static_libs	# don't build static library
%bcond_with	tests		# perform "make test"

%define		apxs	/usr/sbin/apxs
%define		pdir	libapreq2
%include	/usr/lib/rpm/macros.perl
Summary:	Apache Request Library
Summary(pl.UTF-8):	Biblioteka żądań Apache
Name:		libapreq2
Version:	2.12
Release:	3
License:	Apache v2.0
Group:		Libraries
Source0:	http://www.apache.org/dist/httpd/libapreq/%{name}-%{version}.tar.gz
# Source0-md5:	76e2acde0d82246dea6f2565f3746eec
Source1:	apache-mod_apreq2.conf
URL:		http://httpd.apache.org/apreq/
BuildRequires:	%{apxs}
BuildRequires:	apache-base >= 2.0.46
BuildRequires:	apache-devel >= 2.0.46
BuildRequires:	apache-mod_perl-devel >= 1:2
BuildRequires:	apr-devel >= 1.0.0
BuildRequires:	autoconf >= 2.53
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	perl-Apache-Test
BuildRequires:	perl-ExtUtils-XSBuilder >= 0.23
BuildRequires:	perl-mod_perl
BuildRequires:	rpm-perlprov
%if %{with tests}
BuildRequires:	apache-mod_mime
BuildRequires:	perl-libwww
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		apacheconfdir	%(%{apxs} -q SYSCONFDIR 2>/dev/null)/conf.d
%define		apachelibdir	%(%{apxs} -q LIBEXECDIR 2>/dev/null)

%description
libapreq is a safe, standards-compliant, high-performance library used
for parsing HTTP cookies, query-strings and POST data.

Version 2 of libapreq is an improved codebase designed around APR and
Apache-2's input filter API.

%description -l pl.UTF-8
libapreq to bezpieczna, zgodna ze standardami, wysoko wydajna
biblioteka służąca do przetwarzania ciasteczek HTTP, łańcuchów zapytań
oraz danych POST.

Wersja 2 libapreq to ulepszony kod opracowany na bazie APR i API
filtra wejściowego Apache 2.

%package devel
Summary:	libapreq2 header files
Summary(pl.UTF-8):	Pliki nagłówkowe libapreq2
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	apache-devel >= 2.0

%description devel
libapreq2 header files.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libapreq2.

%package static
Summary:	libapreq2 static library
Summary(pl.UTF-8):	Statyczna biblioteka libapreq2
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static version of libapreq2 library.

%description static -l pl.UTF-8
Statyczna wersja biblioteki libapreq2.

%package -n perl-%{name}
Summary:	Perl APIs for libapreq2 - Apache2::Request and Apache2::Cookie
Summary(pl.UTF-8):	Perlowe API dla libapreq2 - Apache2::Request i Apache2::Cookie
Group:		Development/Languages/Perl

%description -n perl-%{name}
Perl APIs for libapreq2 - Apache2::Request and Apache2::Cookie.

%description -n perl-%{name} -l pl.UTF-8
Perlowe API dla libapreq2 - Apache2::Request i Apache2::Cookie.

%package -n apache-mod_apreq2
Summary:	Apache module mod_apreq2
Summary(pl.UTF-8):	Moduł serwera Apache mod_apreq2
Group:		Networking/Daemons
Requires:	apache(modules-api) = %apache_modules_api
Obsoletes:	apache-mod_libapreq2

%description -n apache-mod_apreq2
Apache module mod_apreq2.

%description -n apache-mod_apreq2 -l pl.UTF-8
Moduł mod_apreq2 do serwera Apache.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoheader}
%{__autoconf}
%{__automake}
%configure \
	--with-mm-opts="INSTALLDIRS=vendor" \
	--enable-perl-glue \
	--with-apache2-apxs=%{apxs} \
	%{!?with_static_libs:--disable-static}

%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{perl_vendorarch}/APR/{Request.pod,Request/*.pod}
rm -f $RPM_BUILD_ROOT%{apachelibdir}/mod_apreq2.{a,la}
install -Dp %{SOURCE1} $RPM_BUILD_ROOT%{apacheconfdir}/76_mod_apreq2.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%post -n apache-mod_apreq2
%service -q httpd restart

%preun -n apache-mod_apreq2
if [ "$1" = "0" ]; then
	%service -q httpd restart
fi

%files
%defattr(644,root,root,755)
%doc CHANGES README
%attr(755,root,root) %{_libdir}/libapreq2.so.*.*
%ghost %{_libdir}/libapreq2.so.3

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libapreq2.so
%{_libdir}/libapreq2.la
%{_includedir}/apreq2
%attr(755,root,root) %{_bindir}/apreq2-config
%dir %{_includedir}/apache/apreq2
%{_includedir}/apache/apreq2/apreq_module_apache2.h

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libapreq2.a
%endif

%files -n perl-%{name}
%defattr(644,root,root,755)
%{perl_vendorarch}/Apache2/*.pm
%{perl_vendorarch}/APR/*.pm
%dir %{perl_vendorarch}/APR/Request
%{perl_vendorarch}/APR/Request/*.pm
%dir %{perl_vendorarch}/auto/APR/Request
%dir %{perl_vendorarch}/auto/APR/Request/*
%{perl_vendorarch}/auto/APR/Request/*/*.bs
%attr(755,root,root) %{perl_vendorarch}/auto/APR/Request/*/*.so

# TODO: generate these manually; Makefile.PL (and overall logic) is broken
%{_mandir}/man3/Apache*
%{_mandir}/man3/APR*

%files -n apache-mod_apreq2
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{apacheconfdir}/*_mod_apreq2.conf
%attr(755,root,root) %{apachelibdir}/mod_apreq2.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libapreq2.spec,v $
Revision 1.47  2011/02/28 21:08:40  glen
- BR perl-mod_perl, perl-Apache-Test
- package ghost soname symlink
- rel 3

Revision 1.46  2011/01/29 00:41:38  sparky
- BR: perl-Apache-Test, rpm-perlprov

Revision 1.45  2010/06/06 13:35:19  arekm
- release 2

Revision 1.44  2009/04/18 19:43:29  areq
- 2.12

Revision 1.43  2008/02/24 23:51:59  glen
- release 6

Revision 1.42  2007-12-26 18:03:11  glen
- use apacheconfdir/apachelibdir macros

Revision 1.41  2007-12-26 17:57:40  glen
- use conf.d for apache config fragment; rel 5

Revision 1.40  2007-11-03 13:23:46  baggins
- rel 4

Revision 1.39  2007/07/31 09:24:19  arekm
- rel 3; rebuild with db4.6

Revision 1.38  2007/03/27 10:56:52  radek
- release 2: BR: apache-base, mp-devel >= 1:2

Revision 1.37  2007/02/13 06:46:50  glen
- tabs in preamble

Revision 1.36  2007/02/12 00:49:02  baggins
- converted to UTF-8

Revision 1.35  2006/11/20 22:47:29  qboosh
- updated to final 2.09 (not under official URL yet)

Revision 1.34  2006/09/08 11:37:14  radek
- tests (off by default)

Revision 1.33  2006/09/08 10:55:33  radek
- version 2.0.9 rc1, killed glue/perl hack

Revision 1.32  2006/08/17 14:01:08  radek
- version 2.08

Revision 1.31  2006/07/25 22:19:40  glen
- allow perl-libapreq co-exist, rel 4

Revision 1.30  2006/07/25 19:34:52  glen
- rel 3 to rebuild without evil apache deps

Revision 1.29  2006/04/17 17:53:38  glen
- add CVE ref

Revision 1.28  2006/02/27 22:21:18  qboosh
- unified bcond (s/static/static_libs/)
- files cleanup

Revision 1.27  2006/02/27 21:16:45  glen
- simplify, compatible with apache 2.0 build, unify with other apache-mod* packages

Revision 1.26  2006/02/27 20:00:03  mguevara
- 2.07 [resolves CVE-2006-0042], rel 2 - renamed apache-mod_libapreq2 to apache-mod_apreq2
- added conf file for mod_apreq2

Revision 1.25  2006/02/27 13:34:36  glen
- apache restart scripts

Revision 1.24  2006/02/27 13:33:14  glen
- use apache build system
- define pdir for perl cleanup
- package more files

Revision 1.23  2006/02/27 12:16:15  qboosh
- cosmetics

Revision 1.22  2006/02/27 11:52:10  mguevara
- md5sum

Revision 1.21  2006/02/27 10:50:56  mguevara
- 2.07 rel 1
- added apache-mod_libapreq2 subpackage (TODO: needs conf to go and
  probably requiring some ver of apache server)
- some cosmetics (eg. Apache::Request -> Apache2::Request)

Revision 1.20  2006/01/18 09:54:54  baggins
- release 2
- br apache-mod_perl-devel

Revision 1.19  2006/01/17 14:41:38  baggins
- release 1
- rebuild with openldap 2.3

Revision 1.18  2005/06/14 19:44:53  witekfl
- added bcond_without static

Revision 1.17  2005/05/31 18:17:22  migo
- up to 2.05. Probably some work still needed

Revision 1.16  2004/10/06 13:04:10  radek
- version 2.04_03; TODO: generate docs for perl modules

Revision 1.15  2004/10/05 23:44:14  havner
- BR: apache, due to checking version during build

Revision 1.14  2004/10/05 22:52:10  ankry
- make it build with apr-1, rel. .5.1, UNTESTED

Revision 1.13  2004/10/01 22:41:59  havner
- rel 5

Revision 1.12  2004/08/26 09:47:57  radek
- release 4

Revision 1.11  2004/08/25 19:09:57  qboosh
- fix libtool, BR: ac,am,lt
- package -static (why not?)

Revision 1.10  2004/08/25 18:22:35  radek
- add -fPIC to OPTIMIZE for perl modules

Revision 1.9  2004/08/25 17:58:19  radek
- add --with-apache2-apxs to %configure

Revision 1.8  2004/08/25 17:56:24  radek
- release 0._devel.3: BR: %{apxs}

Revision 1.7  2004/08/25 17:50:53  radek
- release 0._devel.2: regenerate autocrap

Revision 1.6  2004/08/25 17:27:25  radek
- ...but release 1

Revision 1.5  2004/08/25 17:26:09  radek
- version 2.03_04-dev

Revision 1.4  2004/06/05 11:04:48  radek
- release 0.02.3: %include macros.perl

Revision 1.3  2004/05/12 13:54:43  migo
- decreased dependency on mod_perl to 1.99

Revision 1.2  2003/12/27 13:23:22  qboosh
- pl

Revision 1.1  2003/12/26 16:37:22  migo
- initial revision
- crude, work in progress
